### Function

# EDataServer SoupSession util_set_message_request_body

since: 3.46

#### Declaration [src]

    void
    e_soup_session_util_set_message_request_body (
      SoupMessage* message,
      const gchar* content_type,
      GInputStream* input_stream,
      gssize length
    )

#### Description [src]

Sets the request body of the `message` from the `input_stream` of the `length`, with optional `content_type`. The function makes sure the `message` request body is set again when the message is restarted.

The `input_stream` should implement the `GSeekable` interface.

Available since: 3.46

#### Parameters

`message`

  Type: `SoupMessage`

  A `SoupMessage`.

  The data is owned by the caller of the function.

`content_type`

  Type: `const gchar*`

  Optional Content-Type of the `data`, or `NULL` `input_stream` (transfer none): the request body data as a `GInputStream`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`input_stream`

  Type: `GInputStream`

  No description available.

  The data is owned by the caller of the function.

`length`

  Type: `gssize`

  Length of the `data`.